org.red5.server.net.proxy

## Class DebugProxyHandler

- java.lang.Object
- - org.apache.mina.core.service.IoHandlerAdapter
  - - org.red5.server.net.proxy.DebugProxyHandler

All Implemented Interfaces:
  org.apache.mina.core.service.IoHandler, org.springframework.context.ResourceLoaderAware

    public class DebugProxyHandler
    extends org.apache.mina.core.service.IoHandlerAdapter
    implements org.springframework.context.ResourceLoaderAware

### Field Summary

Fields
`protected static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`DebugProxyHandler()`

### Method Summary

Methods
`void` `exceptionCaught(org.apache.mina.core.session.IoSession session, Throwable cause)`
`void` `messageReceived(org.apache.mina.core.session.IoSession session, Object in)`
`void` `sessionCreated(org.apache.mina.core.session.IoSession session)`
`void` `sessionOpened(org.apache.mina.core.session.IoSession session)`
`void` `setCodecFactory(org.apache.mina.filter.codec.ProtocolCodecFactory codecFactory)` Setter for property 'codecFactory'.
`void` `setDumpTo(String dumpTo)` Setter for property 'dumpTo'.
`void` `setForward(String forward)` Setter for property 'forward'.
`void` `setResourceLoader(org.springframework.core.io.ResourceLoader loader)`

### Methods inherited from class org.apache.mina.core.service.IoHandlerAdapter

`messageSent, sessionClosed, sessionIdle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static org.slf4j.Logger log

### Constructor Detail

#### DebugProxyHandler

    public DebugProxyHandler()

### Method Detail

#### setResourceLoader

    public void setResourceLoader(org.springframework.core.io.ResourceLoader loader)

Specified by:
  `setResourceLoader` in interface `org.springframework.context.ResourceLoaderAware`

#### setCodecFactory

    public void setCodecFactory(org.apache.mina.filter.codec.ProtocolCodecFactory codecFactory)

Setter for property 'codecFactory'.

Parameters:
  `codecFactory` - Value to set for property 'codecFactory'.

#### setForward

    public void setForward(String forward)

Setter for property 'forward'.

Parameters:
  `forward` - Value to set for property 'forward'.

#### setDumpTo

    public void setDumpTo(String dumpTo)

Setter for property 'dumpTo'.

Parameters:
  `dumpTo` - Value to set for property 'dumpTo'.

#### sessionOpened

    public void sessionOpened(org.apache.mina.core.session.IoSession session)
                       throws Exception

Specified by:
  `sessionOpened` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `sessionOpened` in class `org.apache.mina.core.service.IoHandlerAdapter`
Throws:
  `Exception`

#### sessionCreated

    public void sessionCreated(org.apache.mina.core.session.IoSession session)
                        throws Exception

Specified by:
  `sessionCreated` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `sessionCreated` in class `org.apache.mina.core.service.IoHandlerAdapter`
Throws:
  `Exception`

#### messageReceived

    public void messageReceived(org.apache.mina.core.session.IoSession session,
                       Object in)

Specified by:
  `messageReceived` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `messageReceived` in class `org.apache.mina.core.service.IoHandlerAdapter`

#### exceptionCaught

    public void exceptionCaught(org.apache.mina.core.session.IoSession session,
                       Throwable cause)
                         throws Exception

Specified by:
  `exceptionCaught` in interface `org.apache.mina.core.service.IoHandler`
Overrides:
  `exceptionCaught` in class `org.apache.mina.core.service.IoHandlerAdapter`
Throws:
  `Exception`